Subject: [PATCH V4 2/3] ARM: mmc: bcm281xx SDHCI driver

From: [email-masked] (Arnd Bergmann)
Date: Sat, 1 Jun 2013 22:13:47 +0200

On Saturday 01 June 2013, Christian Daudt wrote:
> I looked into it and it can replace just about everything that our own 
> dt parsing code is doing. The only problem is with cd_gpio. If I call 
> mmc_of_parse, then it will install its own irq handler for cd gpio, and 
> our driver needs a different handler. the mmc irq handler can call a 
> card_event callback, but that is already pointing to sdhci_card_event. 
> So the only way I can use mmc_of_parse that I can see is by adding a 
> flag to it to skip cd_gpio parsing which only this driver will then set 
> to true. Any other ideas ?

Can't you add a callback handler into sdhci_card_event that can call
a platform specific function?

	Arnd